For the complete documentation index, see llms.txt. This page is also available as Markdown.

External Roles

List External Roles

get
Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
Query parameters
sort_bystring[]OptionalDefault: []
limitinteger · max: 200OptionalDefault: 50
continuation_tokenanyOptional
Responses
200

Successful Response

application/json
has_morebooleanRequired
continuation_tokenanyOptional
get/v1/{workspace_id}/external-roles
GET /v1/{workspace_id}/external-roles HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "external_name": "text",
      "description": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "has_more": true,
  "continuation_token": null
}

Create External Role

post
Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
Body
namestring · min: 1 · max: 64RequiredPattern: ^[a-z][a-z0-9_]{0,63}$
external_namestring · min: 1 · max: 256Required
descriptionstring · max: 2048 · nullableOptional
Responses
201

Successful Response

application/json

Wire shape for read + create responses.

idstring · uuidRequired
namestringRequired
external_namestringRequired
descriptionstring · nullableOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
post/v1/{workspace_id}/external-roles
POST /v1/{workspace_id}/external-roles HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "name": "text",
  "external_name": "text",
  "description": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "external_name": "text",
  "description": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Get External Role

get
Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
role_idstring · uuidRequired
Responses
200

Successful Response

application/json

Wire shape for read + create responses.

idstring · uuidRequired
namestringRequired
external_namestringRequired
descriptionstring · nullableOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get/v1/{workspace_id}/external-roles/{role_id}
GET /v1/{workspace_id}/external-roles/{role_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "external_name": "text",
  "description": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Delete External Role

delete
Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Path parameters
workspace_idstring · uuidRequired
role_idstring · uuidRequired
Responses
204

Successful Response

No content

delete/v1/{workspace_id}/external-roles/{role_id}
DELETE /v1/{workspace_id}/external-roles/{role_id} HTTP/1.1
Host: platform.api-us.concurrence.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?